%define name 	prism2-utils
%define version 0.2.1
%define pretag	pre11
%define release 0.%{pretag}.2mdk

Summary: 	Utilities from the linux-wlan-ng project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.goonda.org/wireless/prism2/
Source0: 	linux-wlan-ng-%{version}-%{pretag}.tar.bz2
License: 	MPL
Group: 		System/Kernel and hardware
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	kernel-source
Provides:	linux-wlan-ng

%description
Tools for configuring the prism2 drivers for wireless network
cards using Intersil's Prism2/2.5/3 chipsets.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n linux-wlan-ng-%{version}-%{pretag}

# sed config.in for PCMCIA=n and TARGET_ROOT_ON_HOST=installdir
sed -e 's%PRISM2_PCMCIA=y%PRISM2_PCMCIA=n%g' config.in |\
sed -e s%TARGET_ROOT_ON_HOST=%TARGET_ROOT_ON_HOST=$RPM_BUILD_ROOT%g > x
mv x config.in
make auto_config

# mandrake has the drivers in the kernel, so we don't want to build
# them here, just the utils.

sed -e 's/p80211 prism2//g' src/Makefile > m
mv src/Makefile src/Makefile.prev
mv m src/Makefile

# want the config scripts for both fixed and cs versions to be
# installed for eventual use by drakconnect. hack the makefiles in etc.

sed -e 's%$(PRISM2_PLX)%y%g' etc/Makefile > m
mv m etc/Makefile
sed -e 's%$(PRISM2_PCMCIA)%y%g' etc/pcmcia/Makefile > m
mv m etc/pcmcia/Makefile

# fix man page location
perl -p -i -e 's|/usr/local/man|/usr/share/man||g' man/Makefile

%build

# use the headers from the mandrake kernel
CFLAGS=-I/usr/src/linux/3rdparty/prism25/include make all

# make all

%install
rm -rf $RPM_BUILD_ROOT
# have to specify TARGET_PCMCIA_DIR since we want the config
# files even though we didn't build the driver.
install -d -m755 $RPM_BUILD_ROOT/etc/hotplug
TARGET_PCMCIA_DIR=$RPM_BUILD_ROOT/etc/pcmcia make install
install -m 644 src/prism2/shared.prism2 $RPM_BUILD_ROOT/etc/wlan/

# how did this get there?
rm -f %buildroot/etc/shared

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING FAQ LICENSE README THANKS TODO
%doc doc/
%_mandir/man1/*
/sbin/*
%config(noreplace) %_initrddir/wlan
%config %_sysconfdir/wlan/shared
%config(noreplace) %_sysconfdir/pcmcia/wlan-ng
%config(noreplace) %_sysconfdir/pcmcia/wlan-ng.conf
%config(noreplace) %_sysconfdir/wlan/shared*
%config(noreplace) %_sysconfdir/wlan/wlan.conf
%attr(755,root,root) %config(noreplace) %_sysconfdir/wlan/wlancfg-DEFAULT
%attr(755,root,root) %config(noreplace) %_sysconfdir/hotplug/wlan.agent

%post
# disable wlan service by default, drakconnect should enable
# it when necessary.
chkconfig --del wlan

%changelog
* Wed Sep 03 2003 Laurent culioli <laurent@pschit.net> 0.2.1-0.pre11.2mdk
- add shared.prism2
- correct some attr

* Tue Aug 26 2003 Laurent culioli <laurent@pschit.net> 0.2.1-0.pre11.1mdk
- 0.2.1pre11
- add hotplug agent

* Thu Apr 17 2003 Laurent culioli <laurent@pschit.net> 0.2.1-0.pre1.1mdk
- 0.2.1pre1 ( sync with kernel version )
- make rpmlint more happy

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 0.2.0-1mdk
- update
- provides linux-wlan-ng
- add/remove new/old files

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.1.14-2mdk
- rebuild

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1.14-1mdk
- from Aaron Peromsik <aaron@peromsik.net> :
	- Initial spec file.

# end of file
